"use strict";
var StateNotifier = (function () {
    function StateNotifier() {
        this.listeners = [];
    }
    StateNotifier.prototype.subscribe = function (listener) {
        this.listeners.push(listener);
    };
    StateNotifier.prototype.notify = function () {
        this.listeners.forEach(function (listener) {
            listener.onStateChanged();
        });
    };
    return StateNotifier;
}());
exports.StateNotifier = StateNotifier;
