/// <reference path="../externals/es6-promise.d.ts" />
import { IState, IAction, IAsyncAction, ICloner, IStore } from "./";
import { IStateNotifier } from "./../observer";
export declare class Store implements IStore {
    private cloner;
    private notifier;
    private state;
    private cloneState();
    private updateState(state);
    constructor(initialState: IState, cloner: ICloner, notifier: IStateNotifier);
    dispatch(action: IAction): IState;
    dispatchAsync(action: IAsyncAction): Promise<IState>;
    getState<TState extends IState>(): TState;
}
