import { IStateListener, IStateNotifier } from "./observer";
export declare abstract class Renderer implements IStateListener {
    protected notifier: IStateNotifier;
    protected rootElementId: string;
    constructor(notifier: IStateNotifier, rootElementId: string);
    protected getRootDiv(): HTMLElement;
    abstract render(): void;
    onStateChanged(): void;
}
